package org.artifactory.ui.rest.service.admin.configuration.repositories.util;

import org.artifactory.common.home.ArtifactoryHome;
import org.artifactory.test.ArtifactoryHomeBoundTest;
import org.mockito.MockitoAnnotations;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import java.util.List;

import static org.artifactory.common.ConstantValues.listOfReposAllowedSendRedirectUrl;
import static org.testng.Assert.assertEquals;
import static org.testng.Assert.assertTrue;

/**
 * @author Shay Bagants
 */
public class GetAvailableRepositoryFieldsTest extends ArtifactoryHomeBoundTest {

    private GetAvailableRepositoryFields getAvailableRepositoryFields;

    @BeforeMethod
    private void setup() {
        MockitoAnnotations.initMocks(this);
        getAvailableRepositoryFields = new GetAvailableRepositoryFields();
    }

    @Test
    public void getCdnRepositories() {
        ArtifactoryHome.get().getArtifactoryProperties()
                .setProperty(listOfReposAllowedSendRedirectUrl.getPropertyName(), "maven, Gradle,Docker, npm ");
        List<String> cdnRepositories = getAvailableRepositoryFields.getCdnRepositories();
        assertEquals(cdnRepositories.size(), 4);
        assertTrue(cdnRepositories.contains("maven"));
        assertTrue(cdnRepositories.contains("gradle"));
        assertTrue(cdnRepositories.contains("docker"));
        assertTrue(cdnRepositories.contains("npm"));
    }
}